petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatShellSetContext

sets the context for a shell matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatShellSetContext(Mat mat,void *ctx)

Logically Collective on Mat Many br

### Input Parameters

| mat | - the shell matrix Many br
| ctx | - the context Many br

Many br

Fortran Notes: To use this from Fortran you must write a Fortran interface definition for this Many brfunction that tells Fortran the Fortran derived data type that you are passing in as the ctx argument. Many br

### See Also

MatCreateShell(), MatShellGetContext(), MatShellGetOperation()

Level:advanced
Location:src/mat/impls/shell/shell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex22f_mf.F90.html